## ddcxinfo-mol-0.6-7mol2.tar.gz

=== Makefile ===
#<-- for Make One Linux
prefix=/usr/local
libdir=${prefix}/lib
sysconfdir=${prefix}/etc
#-->
CFLAGS=-Wall -O2 -g# -DDEBUG

#<-- for Make One Linux
#TARGETS=ddcprobe svgamodes ddcxinfo ddcxinfo-knoppix modetest libvbe.a
TARGETS=ddcxinfo-mol
#-->

ifeq (.depend,$(wildcard .depend))
TARGET=all
else
TARGET=depend all
endif

everything: $(TARGET)

all: $(TARGETS)

#<-- for Make One Linux
#install: $(TARGETS)
#	cp -a ddcprobe $(DESTDIR)/usr/sbin/ddcprobe
install: ddcxinfo-mol
	install -D -m 755 $< $(DESTDIR)$(libdir)/mol/exec/$<
	install -d -m 755 $(DESTDIR)$(sysconfdir)/mol/molmake.conf.d
	echo "DDCXINFO=\"$(libdir)/mol/exec/$<\"" > $(DESTDIR)$(sysconfdir)/mol/molmake.conf.d/ddcxinfo.conf

uninstall:
	rm -f $(DESTDIR)$(libdir)/ddcxinfo-mol
	rm -f $(DESTDIR)$(sysconfdir)/mol/molmake.conf.d/ddcxinfo.conf
#-->

ddcprobe: lrmi.o vesamode.o vbe.o ddcprobe.o

svgamodes: lrmi.o vesamode.o vbe.o svgamodes.o

ddcxinfo: lrmi.o vesamode.o vbe.o ddcxinfo.o

#<-- for Make One Linux
#ddcxinfo-knoppix: lrmi.o vesamode.o vbe.o ddcxinfo-knoppix.o
ddcxinfo-mol: lrmi.o vesamode.o vbe.o ddcxinfo-mol.o
#-->

modetest: lrmi.o vesamode.o vbe.o modetest.o

libvbe.a: lrmi.o vesamode.o vbe.o
	$(AR) cru $@ $^

install-lib: $(prefix)/include/vbe.h $(prefix)/lib/libvbe.a

$(prefix)/include/vbe.h:
	install -m 644 vbe.h $(prefix)/include/vbe.h

$(prefix)/lib/libvbe.a:
	install -m 644 libvbe.a $(prefix)/lib/libvbe.a

clean:
	$(RM) $(TARGETS) *.o .depend core

depend:
	$(CPP) -M $(CFLAGS) *.c > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/control ===
Source: ddcxinfo-knoppix
Section: knoppix
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: ddcxinfo-knoppix
Architecture: i386
Depends: ${shlibs:Depends}
Description: Monitor/Graphics card DDC hardware detection
 Part of the KNOPPIX hardware detection suite.
